/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Memoire.h	Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */ 

#define LONGUEURMOTMAX		1000
#define ALLOC(type,size) ((type *) calloc(size, sizeof(type)))

void AlloueMemoireAdresses(void);
void LibereMemoireAdresses(void);
ProduitsDG *AlloueMemoireProduits(void);
void AlloueMemoireGenerateurs(void);
void LibereMemoireGenerateurs(void); 
void AlloueMemoireTableDesValeurs(void);
void LibereMemoireTableDesValeurs(void);
elementpile *AlloueMemoirePile(void);
unsigned long *AlloueMemoirePileComposanteConnexe(void);
unsigned long *AlloueMemoireTableau(unsigned long Taille);
info *AlloueMemoireTable(void);
info2 *AlloueMemoireTable2(void);
lettre *AlloueMemoireMot(short Longueur);
lettre *AlloueMemoireLettre(void);
char *AlloueMemoireChaine(short Longueur);
void AlloueMemoireBufferText(void);
void AlloueMemoireGraphe(void);
void LibereMemoireGraphe(void);
Liste2Numeros AlloueMemoirePileGraphe(unsigned long Taille);
Liste2Numeros AlloueMemoireArete(void);
unsigned long **AlloueMemoireTableDeS(void);
void LibereMemoireTableDeS(void);
struct NumeroEtLettre *AlloueMemoirePileNumeroEtLettre(void);
ListeNumero *AlloueMemoireTableListeNumero(void);
ListeNumero AlloueMemoireWagonNumero(void);
void AlloueMemoireInitiaux(void);
void AlloueMemoireFinaux(void);
void AlloueMemoireMessages(void);
void LibereMemoireMot(element Element);
void LibereMemoireListe(ListeNumero *MyList);
void LibereMemoire(void);


